aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2003-11-10 22:48:30 +0000
committerBill Nottingham <notting@redhat.com>2003-11-10 22:48:30 +0000
commite1cdaf8b24d544e3edfb0fc29d4752a09d2a8619 (patch)
treeb8ccb3e4e71bd502fe28526d079dba7684e34b3c
parentd33f55f2c655d1e79c54e78df08752da663072e3 (diff)
downloadinitscripts-e1cdaf8b24d544e3edfb0fc29d4752a09d2a8619.tar
initscripts-e1cdaf8b24d544e3edfb0fc29d4752a09d2a8619.tar.gz
initscripts-e1cdaf8b24d544e3edfb0fc29d4752a09d2a8619.tar.bz2
initscripts-e1cdaf8b24d544e3edfb0fc29d4752a09d2a8619.tar.xz
initscripts-e1cdaf8b24d544e3edfb0fc29d4752a09d2a8619.zip
fix xDSL and other interfaces (#109601)
-rwxr-xr-xrc.d/init.d/network12
1 files changed, 6 insertions, 6 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 93ecc5f6..b43d05ab 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -108,11 +108,11 @@ case "$1" in
if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
if [ "${DEVICE##cipcb}" != "$DEVICE" ] ; then
- cipeinterfaces="$cipeinterfaces $DEVICE"
+ cipeinterfaces="$cipeinterfaces $i"
continue
fi
if [ "$TYPE" = "xDSL" ]; then
- xdslinterfaces="$xdslinterfaces $DEVICE"
+ xdslinterfaces="$xdslinterfaces $i"
continue
fi
@@ -195,11 +195,11 @@ case "$1" in
if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
if [ "${DEVICE##cipcb}" != "$DEVICE" ] ; then
- cipeinterfaces="$cipeinterfaces $DEVICE"
+ cipeinterfaces="$cipeinterfaces $i"
continue
fi
if [ "$TYPE" = "xDSL" ]; then
- xdslinterfaces="$xdslinterfaces $DEVICE"
+ xdslinterfaces="$xdslinterfaces $i"
continue
fi
done
@@ -208,7 +208,7 @@ case "$1" in
eval $(fgrep "DEVICE=" ifcfg-$i)
if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
- if ! check_device_down $i; then
+ if ! check_device_down $DEVICE; then
action $"Shutting down interface $i: " ./ifdown $i boot
fi
done
@@ -218,7 +218,7 @@ case "$1" in
eval $(fgrep "DEVICE=" ifcfg-$i)
if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
- if ! check_device_down $i; then
+ if ! check_device_down $DEVICE; then
action $"Shutting down interface $i: " ./ifdown $i boot
fi
done